tixNoteBook(n)

NAME
tixNoteBook - Create and manipulate tixNoteBook widgets

SYNOPSIS
tixNoteBook pathName ?options?

STANDARD OPTIONS
The NoteBook widget supports all the standard options of a frame widget. See the options(n) manual entry for details on the standard options.

WIDGET-SPECIFIC OPTIONS
[-dynamicgeometry dynamicGeometry DynamicGeometry] If set to false, the size of the Notebook will match the size of the largest page. If set to true, the size of the Notebook will match the size of the current page (therefore, the size may change when the user selects different pages). The default value is false. A setting of true is discouraged. [-ipadx ipadX Pad] The amount of internal horizontal paddings around the sides of the page subwidgets. [-ipady ipadY Pad] The amount of internal vertical paddings around the sides of the page subwidgets.

SUBWIDGETS

Name:		nbframe
Class:		tixNoteBookFrame

    The "note book frame" widget that displays ths tabs of the notebook. Most of the display options of the page tabs are controlled by this subwidget. For example, if you need to choose a different font to display the tab names of the pages, the color of the inactive tabs or the color behind the tabs, you can configure the options of the nbframe subwidget. See the manual page of tixNoteBookFrame(n) for more details.

In addition, all the page subwidgets created as a result of the add command can be accessed by the subwidget command. They are identified by the pageName parameter to the add command.

DESCRIPTION

The tixNoteBook command creates a new window (given by the pathName argument) and makes it into a NoteBook widget. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the NoteBook widget such as its cursor and relief. The NoteBook widget can be used to display many windows in a limited space using a "notebook" metaphore. The notebook is divided into a stack of pages (windows). At one time only one of these pages can be shown. The user can navigate through these pages by choosing the visual "tabs" at the top of the NoteBook widget.

WIDGET COMMANDS

The tixNoteBook command creates a new Tcl command whose name is the same as the path name of the NoteBook widget's window. This command may be used to invoke various operations on the widget. It has the following general form:
    pathName option ?arg arg ...?
PathName is the name of the command, which is the same as the NoteBook widget's path name. Option and the args determine the exact behavior of the command. The following commands are possible for NoteBook widgets:

pathName add pageName ?option value ...?
    Adds a new notebook page subwidget into the NoteBook widget. Additional parameters may be supplied to configure this page subwidget. Possible options are:

    -anchor
        Specifies how the information in a tab (e.g. text or a bitmap) is to be displayed in the widget. Must be one of the values n, ne, e, se, s, sw, w, nw, or center. For example, nw means display the information such that its top-left corner is at the top-left corner of the widget.

    -bitmap
        Specifies a bitmap to display on the tab of this page. The bitmap is displayed only if none of the -label or -image options are specified.

    -createcmd
        Specifies a TCL command to be called the first time a page is shown on the screen. This option can be used to delay the creation of the contents of a page until necessary. Therefore, it can be used to speed up interface creation process especially when there are a large number of pages in a NoteBook widget.

    -image
        Specifies an image to display on the tab of this page. The image is displayed only if the -label options is not specified.

    -justify
        When there are multiple lines of text displayed in a tab, this option determines how the lines line up with each other. Must be one of left, center, or right. Left means that the lines' left edges all line up, center means that the lines' centers are aligned, and right means that the lines' right edges line up.

    -label
        Specifies a text label string to display on the tab of this page subwidget.

    -raisecmd
        Specifies a TCL command to be called whenever this page is raised by the user.

    -state
        Specifies whether this page can be raised by the user. Must be either normal or disabled.

    -underline
        Specifies the integer index of a character to underline in the tab. This option is used by the default bindings to implement keyboard traversal for menu buttons and menu entries. 0 corresponds to the first character of the text displayed in the widget, 1 to the next character, and so on.

    -wraplength
        This option specifies the maximum line length of the label string on this tab. If the line length of the label string exceeds this length, it is wrapped onto the next line, so that no line is longer than the specified length. The value may be specified in any of the standard forms for screen distances. If this value is less than or equal to 0 then no wrapping is done: lines will break only at newline characters in the text.

pathName cget option
    Returns the current value of the configuration option given by option.Option may have any of the values accepted by the tixNoteBook command.

pathName configure ?option? ?value option value ...?
    Query or modify the configuration options of the widget. If no option is specified, returns a list describing all of the available options for pathName (see Tk_ConfigureInfo for information on the format of this list). If option is specified with no value, then the command returns a list describing the one named option (this list will be identical to the corresponding sublist of the value returned if no option is specified). If one or more option-value pairs are specified, then the command modifies the given widget option(s) to have the given value(s); in this case the command returns an empty string. Option may have any of the values accepted by the tixNoteBook command.

pathName delete pageName?
    Deletes the page identified by pageName.

pathName pagecget pageName option
    Returns the current value of the configuration option given by option in the page given by pageName. Option may have any of the values accepted by the add widget command.

pathName pageconfigure pageName ?option? ?value ...?
    When no option is given, prints out the values of all options of this page. If option is specified with no value, then the command returns the current value of that option. If one or more option-value pairs are specified, then the command modifies the given page's option(s) to have the given value(s); in this case the command returns an empty string. Option may be any of options accepted by the add widget command.

pathName pages
    Returns a list of the names of all the pages.

pathName raise pageName
    Raise the page identified by pageName.

pathName raised
    Returns the name of the currently raised page.

pathName subwidget  name ?args?
    When no options are given, this command returns the pathname of the subwidget of the specified name. When options are given, the widget command of the specified subwidget will be called with these options.

BINDINGS

[1] When the user pressed the left mouse button over a notebook tab, the notebook page associated with that tab will be raised to the top of the stack of pages.

[2] The pages can also be selected using the keyboard. The user can type the <Tab> key to cycle among the set of pages. When the focus appears on the desired page, the user can type <Return> or <space> to select that page. Or, if the user wants to cancel the selection, he/she can type the <Escape> key.

KEYWORDS
Tix(n)